part of reddoor_types.models;

class Agent {
  
  String referralCode = null;
  
  String firstName = null;
  
  String lastName = null;
  
  String mlsNumber = null;
  
  String dreNumber = null;
  
  String phoneNumber = null;
  
  String email = null;
  Agent();

  @override
  String toString() {
    return 'Agent[referralCode=$referralCode, firstName=$firstName, lastName=$lastName, mlsNumber=$mlsNumber, dreNumber=$dreNumber, phoneNumber=$phoneNumber, email=$email, ]';
  }

  Agent.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['referralCode'] == null) {
      referralCode = null;
    } else {
      referralCode = json['referralCode'];
    }
    if (json['firstName'] == null) {
      firstName = null;
    } else {
      firstName = json['firstName'];
    }
    if (json['lastName'] == null) {
      lastName = null;
    } else {
      lastName = json['lastName'];
    }
    if (json['mlsNumber'] == null) {
      mlsNumber = null;
    } else {
      mlsNumber = json['mlsNumber'];
    }
    if (json['dreNumber'] == null) {
      dreNumber = null;
    } else {
      dreNumber = json['dreNumber'];
    }
    if (json['phoneNumber'] == null) {
      phoneNumber = null;
    } else {
      phoneNumber = json['phoneNumber'];
    }
    if (json['email'] == null) {
      email = null;
    } else {
      email = json['email'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'referralCode': referralCode,
      'firstName': firstName,
      'lastName': lastName,
      'mlsNumber': mlsNumber,
      'dreNumber': dreNumber,
      'phoneNumber': phoneNumber,
      'email': email
    };
  }

  static List<Agent> listFromJson(List<dynamic> json) {
    return json == null ? new List<Agent>() : json.map((value) => new Agent.fromJson(value)).toList();
  }

  static Map<String, Agent> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Agent>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Agent.fromJson(value));
    }
    return map;
  }
}

