part of reddoor_types.models;

class Buyer {
  
  String firstName = null;
  
  String lastName = null;
  
  String email = null;
  
  String phoneNumber = null;
  
  Address resAddress = null;
  
  String ssn = null;
  
  int income = null;
  
  int liabilities = null;
  
  int fico = null;
  
  String employerName = null;
  
  String agentCode = null;
  
  bool firstTimeHomeBuyer = null;
  
  bool vaQualified = null;
  
  bool consentGiven = null;
  
  BuyerAdditionalInfo additionalInfo = null;
  Buyer();

  @override
  String toString() {
    return 'Buyer[firstName=$firstName, lastName=$lastName, email=$email, phoneNumber=$phoneNumber, resAddress=$resAddress, ssn=$ssn, income=$income, liabilities=$liabilities, fico=$fico, employerName=$employerName, agentCode=$agentCode, firstTimeHomeBuyer=$firstTimeHomeBuyer, vaQualified=$vaQualified, consentGiven=$consentGiven, additionalInfo=$additionalInfo, ]';
  }

  Buyer.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['firstName'] == null) {
      firstName = null;
    } else {
      firstName = json['firstName'];
    }
    if (json['lastName'] == null) {
      lastName = null;
    } else {
      lastName = json['lastName'];
    }
    if (json['email'] == null) {
      email = null;
    } else {
      email = json['email'];
    }
    if (json['phoneNumber'] == null) {
      phoneNumber = null;
    } else {
      phoneNumber = json['phoneNumber'];
    }
    if (json['resAddress'] == null) {
      resAddress = null;
    } else {
      resAddress = new Address.fromJson(json['resAddress']);
    }
    if (json['ssn'] == null) {
      ssn = null;
    } else {
      ssn = json['ssn'];
    }
    if (json['income'] == null) {
      income = null;
    } else {
      income = json['income'];
    }
    if (json['liabilities'] == null) {
      liabilities = null;
    } else {
      liabilities = json['liabilities'];
    }
    if (json['fico'] == null) {
      fico = null;
    } else {
      fico = json['fico'];
    }
    if (json['employerName'] == null) {
      employerName = null;
    } else {
      employerName = json['employerName'];
    }
    if (json['agentCode'] == null) {
      agentCode = null;
    } else {
      agentCode = json['agentCode'];
    }
    if (json['firstTimeHomeBuyer'] == null) {
      firstTimeHomeBuyer = null;
    } else {
      firstTimeHomeBuyer = json['firstTimeHomeBuyer'];
    }
    if (json['vaQualified'] == null) {
      vaQualified = null;
    } else {
      vaQualified = json['vaQualified'];
    }
    if (json['consentGiven'] == null) {
      consentGiven = null;
    } else {
      consentGiven = json['consentGiven'];
    }
    if (json['additionalInfo'] == null) {
      additionalInfo = null;
    } else {
      additionalInfo = new BuyerAdditionalInfo.fromJson(json['additionalInfo']);
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'firstName': firstName,
      'lastName': lastName,
      'email': email,
      'phoneNumber': phoneNumber,
      'resAddress': resAddress,
      'ssn': ssn,
      'income': income,
      'liabilities': liabilities,
      'fico': fico,
      'employerName': employerName,
      'agentCode': agentCode,
      'firstTimeHomeBuyer': firstTimeHomeBuyer,
      'vaQualified': vaQualified,
      'consentGiven': consentGiven,
      'additionalInfo': additionalInfo
    };
  }

  static List<Buyer> listFromJson(List<dynamic> json) {
    return json == null ? new List<Buyer>() : json.map((value) => new Buyer.fromJson(value)).toList();
  }

  static Map<String, Buyer> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Buyer>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Buyer.fromJson(value));
    }
    return map;
  }
}

