part of reddoor_types.models;

class BuyerAdditionalInfo {
  
  bool investment = null;
  
  bool firstTimeBuyer = null;
  
  bool selfEmployed = null;
  
  bool coborrower = null;
  
  bool none = null;
  
  bool vaQualified = null;
  BuyerAdditionalInfo();

  @override
  String toString() {
    return 'BuyerAdditionalInfo[investment=$investment, firstTimeBuyer=$firstTimeBuyer, selfEmployed=$selfEmployed, coborrower=$coborrower, none=$none, vaQualified=$vaQualified, ]';
  }

  BuyerAdditionalInfo.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['investment'] == null) {
      investment = null;
    } else {
      investment = json['investment'];
    }
    if (json['firstTimeBuyer'] == null) {
      firstTimeBuyer = null;
    } else {
      firstTimeBuyer = json['firstTimeBuyer'];
    }
    if (json['selfEmployed'] == null) {
      selfEmployed = null;
    } else {
      selfEmployed = json['selfEmployed'];
    }
    if (json['coborrower'] == null) {
      coborrower = null;
    } else {
      coborrower = json['coborrower'];
    }
    if (json['none'] == null) {
      none = null;
    } else {
      none = json['none'];
    }
    if (json['vaQualified'] == null) {
      vaQualified = null;
    } else {
      vaQualified = json['vaQualified'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'investment': investment,
      'firstTimeBuyer': firstTimeBuyer,
      'selfEmployed': selfEmployed,
      'coborrower': coborrower,
      'none': none,
      'vaQualified': vaQualified
    };
  }

  static List<BuyerAdditionalInfo> listFromJson(List<dynamic> json) {
    return json == null ? new List<BuyerAdditionalInfo>() : json.map((value) => new BuyerAdditionalInfo.fromJson(value)).toList();
  }

  static Map<String, BuyerAdditionalInfo> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, BuyerAdditionalInfo>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new BuyerAdditionalInfo.fromJson(value));
    }
    return map;
  }
}

