part of reddoor_types.models;

class PropertyAddress {
  
  String city = null;
  
  String street = null;
  
  String zip = null;
  
  String state = null;
  
  String deliveryLine = null;
  PropertyAddress();

  @override
  String toString() {
    return 'PropertyAddress[city=$city, street=$street, zip=$zip, state=$state, deliveryLine=$deliveryLine, ]';
  }

  PropertyAddress.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['city'] == null) {
      city = null;
    } else {
      city = json['city'];
    }
    if (json['street'] == null) {
      street = null;
    } else {
      street = json['street'];
    }
    if (json['zip'] == null) {
      zip = null;
    } else {
      zip = json['zip'];
    }
    if (json['state'] == null) {
      state = null;
    } else {
      state = json['state'];
    }
    if (json['deliveryLine'] == null) {
      deliveryLine = null;
    } else {
      deliveryLine = json['deliveryLine'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'city': city,
      'street': street,
      'zip': zip,
      'state': state,
      'deliveryLine': deliveryLine
    };
  }

  static List<PropertyAddress> listFromJson(List<dynamic> json) {
    return json == null ? new List<PropertyAddress>() : json.map((value) => new PropertyAddress.fromJson(value)).toList();
  }

  static Map<String, PropertyAddress> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, PropertyAddress>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new PropertyAddress.fromJson(value));
    }
    return map;
  }
}

