part of reddoor_types.models;

class PropertyListingAgent {
  
  String id = null;
  
  String name = null;
  
  String phone = null;
  
  String email = null;
  PropertyListingAgent();

  @override
  String toString() {
    return 'PropertyListingAgent[id=$id, name=$name, phone=$phone, email=$email, ]';
  }

  PropertyListingAgent.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['id'] == null) {
      id = null;
    } else {
      id = json['id'];
    }
    if (json['name'] == null) {
      name = null;
    } else {
      name = json['name'];
    }
    if (json['phone'] == null) {
      phone = null;
    } else {
      phone = json['phone'];
    }
    if (json['email'] == null) {
      email = null;
    } else {
      email = json['email'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'name': name,
      'phone': phone,
      'email': email
    };
  }

  static List<PropertyListingAgent> listFromJson(List<dynamic> json) {
    return json == null ? new List<PropertyListingAgent>() : json.map((value) => new PropertyListingAgent.fromJson(value)).toList();
  }

  static Map<String, PropertyListingAgent> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, PropertyListingAgent>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new PropertyListingAgent.fromJson(value));
    }
    return map;
  }
}

