part of reddoor_types.models;

class PropertyListingOffice {
  
  String id = null;
  
  String name = null;
  
  String phone = null;
  PropertyListingOffice();

  @override
  String toString() {
    return 'PropertyListingOffice[id=$id, name=$name, phone=$phone, ]';
  }

  PropertyListingOffice.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['id'] == null) {
      id = null;
    } else {
      id = json['id'];
    }
    if (json['name'] == null) {
      name = null;
    } else {
      name = json['name'];
    }
    if (json['phone'] == null) {
      phone = null;
    } else {
      phone = json['phone'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'name': name,
      'phone': phone
    };
  }

  static List<PropertyListingOffice> listFromJson(List<dynamic> json) {
    return json == null ? new List<PropertyListingOffice>() : json.map((value) => new PropertyListingOffice.fromJson(value)).toList();
  }

  static Map<String, PropertyListingOffice> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, PropertyListingOffice>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new PropertyListingOffice.fromJson(value));
    }
    return map;
  }
}

