part of reddoor_types.models;

class PropertySearchInput {
  
  String userID = null;
  
  String zip = null;
  
  String state = null;
  
  String deliveryLine = null;
  PropertySearchInput();

  @override
  String toString() {
    return 'PropertySearchInput[userID=$userID, zip=$zip, state=$state, deliveryLine=$deliveryLine, ]';
  }

  PropertySearchInput.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['userID'] == null) {
      userID = null;
    } else {
      userID = json['userID'];
    }
    if (json['zip'] == null) {
      zip = null;
    } else {
      zip = json['zip'];
    }
    if (json['state'] == null) {
      state = null;
    } else {
      state = json['state'];
    }
    if (json['deliveryLine'] == null) {
      deliveryLine = null;
    } else {
      deliveryLine = json['deliveryLine'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'userID': userID,
      'zip': zip,
      'state': state,
      'deliveryLine': deliveryLine
    };
  }

  static List<PropertySearchInput> listFromJson(List<dynamic> json) {
    return json == null ? new List<PropertySearchInput>() : json.map((value) => new PropertySearchInput.fromJson(value)).toList();
  }

  static Map<String, PropertySearchInput> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, PropertySearchInput>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new PropertySearchInput.fromJson(value));
    }
    return map;
  }
}

