part of reddoor_types.models;

class SecureSSN {
  
  String secureSSN = null;
  SecureSSN();

  @override
  String toString() {
    return 'SecureSSN[secureSSN=$secureSSN, ]';
  }

  SecureSSN.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['secureSSN'] == null) {
      secureSSN = null;
    } else {
      secureSSN = json['secureSSN'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'secureSSN': secureSSN
    };
  }

  static List<SecureSSN> listFromJson(List<dynamic> json) {
    return json == null ? new List<SecureSSN>() : json.map((value) => new SecureSSN.fromJson(value)).toList();
  }

  static Map<String, SecureSSN> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, SecureSSN>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new SecureSSN.fromJson(value));
    }
    return map;
  }
}

