part of reddoor_types.models;

class Success {
  
  bool success = null;
  Success();

  @override
  String toString() {
    return 'Success[success=$success, ]';
  }

  Success.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['success'] == null) {
      success = null;
    } else {
      success = json['success'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'success': success
    };
  }

  static List<Success> listFromJson(List<dynamic> json) {
    return json == null ? new List<Success>() : json.map((value) => new Success.fromJson(value)).toList();
  }

  static Map<String, Success> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Success>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Success.fromJson(value));
    }
    return map;
  }
}

