part of reddoor_types.models;

class FullSSN {
  
  String fullSSN = null;
  FullSSN();

  @override
  String toString() {
    return 'FullSSN[fullSSN=$fullSSN, ]';
  }

  FullSSN.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['fullSSN'] == null) {
      fullSSN = null;
    } else {
      fullSSN = json['fullSSN'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'fullSSN': fullSSN
    };
  }

  static List<FullSSN> listFromJson(List<dynamic> json) {
    return json == null ? new List<FullSSN>() : json.map((value) => new FullSSN.fromJson(value)).toList();
  }

  static Map<String, FullSSN> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, FullSSN>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new FullSSN.fromJson(value));
    }
    return map;
  }
}

