part of reddoor_types.models;

class Money {
  
  double value = null;
  
  String formatted = null;
  Money();

  @override
  String toString() {
    return 'Money[value=$value, formatted=$formatted, ]';
  }

  Money.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['value'] == null) {
      value = null;
    } else {
      value = json['value'];
    }
    if (json['formatted'] == null) {
      formatted = null;
    } else {
      formatted = json['formatted'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'value': value,
      'formatted': formatted
    };
  }

  static List<Money> listFromJson(List<dynamic> json) {
    return json == null ? new List<Money>() : json.map((value) => new Money.fromJson(value)).toList();
  }

  static Map<String, Money> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Money>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Money.fromJson(value));
    }
    return map;
  }
}

